org.apache.sysds.runtime.matrix.operators

## Class ReorgOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.ReorgOperator

All Implemented Interfaces:
  Serializable

    public class ReorgOperator
    extends Operator
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`IndexFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`ReorgOperator(IndexFunction p)`
`ReorgOperator(IndexFunction p, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`
`ReorgOperator` `setFn(IndexFunction fn)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fn

    public final IndexFunction fn

### Constructor Detail

#### ReorgOperator

    public ReorgOperator(IndexFunction p)

#### ReorgOperator

    public ReorgOperator(IndexFunction p,
                         int numThreads)

### Method Detail

#### getNumThreads

    public int getNumThreads()

#### setFn

    public ReorgOperator setFn(IndexFunction fn)